qpid-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Senaka Fernando (JIRA)" <qpid-...@incubator.apache.org>
Subject [jira] Commented: (QPID-582) Ensure Java codebase builds with Java 6
Date Fri, 02 May 2008 20:24:55 GMT

    [ https://issues.apache.org/jira/browse/QPID-582?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12593871#action_12593871
] 

Senaka Fernando commented on QPID-582:
--------------------------------------

I'm using Java version,

java version "1.6.0_03"
Java(TM) SE Runtime Environment (build 1.6.0_03-b05)
Java HotSpot(TM) Client VM (build 1.6.0_03-b05, mixed mode, sharing)

And the trunk builds fine.

Regards,
Senaka

> Ensure Java codebase builds with Java 6
> ---------------------------------------
>
>                 Key: QPID-582
>                 URL: https://issues.apache.org/jira/browse/QPID-582
>             Project: Qpid
>          Issue Type: Improvement
>          Components: Java Broker, Java Client, Java Clustering
>    Affects Versions: M2
>         Environment: Java 6 compiler, any platform
>            Reporter: Robert Greig
>            Assignee: Robert Greig
>             Fix For: M3
>
>
> Some parts of the management console do not build with Java 6 due to tightening up of
some collection classes, e.g. ArrayList constructor ensures any collection passed in is compatible.
> We have some cases where collections are created that break these rules. (It is a mystery
to me why there are not failures at runtime).

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message